package com.zzsn.extractor.web;


/**
 * 正文抽取方法
 * 创建人：李东亮   
 * 创建时间：2015-5-17 下午3:06:21   
 * 公司 ：郑州数能软件科技有限公司
 * @version  1.0  
 *
 */
public interface Processor {


	
	/**
	 * 抽取正文
	 * 创建人:  李东亮  
	 * 创建时间:  2015-5-28 下午2:11:21 
	 * @version 1.0
	 * @param html
	 * @return
	 */
	public  String extract(String html);
	
	/**
	 * 初始化
	 * 创建人:  李东亮  
	 * 创建时间:  2015-5-29 下午3:38:11 
	 * @version 1.0
	 * @return
	 */
	public DefaultMsg init();
	
	/**
	 * 获取exttype
	 * 创建人:  李东亮  
	 * 创建时间:  2015-5-29 下午3:36:17 
	 * @version 1.0
	 * @return
	 */
	public ExtType getExtType();
}
